| Kea 3.0.2-git

unix_domain_socket.h File Reference
`#include <asiolink/io_service.h>`
`#include <asiolink/io_socket.h>`
`#include <boost/shared_ptr.hpp>`
`#include <functional>`
`#include <string>`
Include dependency graph for unix_domain_socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::UnixDomainSocket
| Represents unix domain socket implemented in terms of boost asio. More...
class | isc::asiolink::UnixDomainSocketError
| Exception thrown upon socket error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink